microsoft-foundry.rest.security.o-auth2-auth
Schedules
Get a schedule run
GET
/schedules/{schedule_id}/runs/{run_id}
Retrieves the specified run for a schedule.
Path parameters
schedule_id
string
required
The unique identifier of the schedule.
run_id
string
required
The unique identifier of the schedule run.
Header parameters
Foundry-Features
enum
required
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Schedules=V1Preview
Query parameters
api-version
string
required
The API version to use for this operation.
Responses
The request has succeeded.
Body
Content-Type: application/json
id
string
required
Identifier of the schedule run.
scheduleId
string
required
Identifier of the schedule.
success
boolean
required
Trigger success status of the schedule run.
triggerTime
string
Trigger time of the schedule run.
error
string
Error information for the schedule run.
properties
object
required
Properties of the schedule run.
[key: string]
string
Request
GET /schedules/{schedule_id}/runs/{run_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json